Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161775 - crap behaviour with naming on redownloading
Summary: crap behaviour with naming on redownloading
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-27 09:01 UTC by Rudolf Kastl
Modified: 2018-04-11 19:21 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-28 14:40:07 UTC


Attachments (Terms of Use)

Description Rudolf Kastl 2005-06-27 09:01:03 UTC
Description of problem:
the download feature looks rather untested and has buggy behaviour. it changes
the version number if redownloaded source (lol). 

Version-Release number of selected component (if applicable):
1.0.4-4

How reproducible:
always

Steps to repro:
1. download a source tarball of your choice with the following naming scheme:
name-version.extension (like wpa_supplicant-0.4.3.tar.gz)
2. after the download is finished redownload the same file to the same directory
  
Actual results:
new file is saved as wpa_supplicant-1.4.3.tar.gz (roflmao)

Expected results:
some same naming of redownloaded files (like e.g. wget does)

Additional info:
present since fc3 ... makes firefox pretty useless for downloading sources from
the web since theres always a danger of fucking up the version tag in a tarball.

Comment 1 Christian Iseli 2007-01-22 11:25:41 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 2 Matěj Cepl 2007-07-18 17:22:35 UTC
Distribution against which this bug was reported is no longer supported; could
you please reproduce this with the updated version of the currently supported
distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue turns out
to still be reproducible, please let us know in this bug report.  If after a
month's time we have not heard back from you, we will have to close this bug as
CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.

Comment 3 Matěj Cepl 2007-08-28 14:40:07 UTC
We haven't got any reply to the last question about reproducability of the bug
with Fedora Core 6, Fedora 7, or Fedora devel. Mass closing this bug, so if you
have new information that would help us fix this bug, please reopen it with the
additional information.


Note You need to log in before you can comment on or make changes to this bug.